LinuxQuestions.org
Share your knowledge at the LQ Wiki.
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Newbie
User Name
Password
Linux - Newbie This Linux forum is for members that are new to Linux.
Just starting out and have a question? If it is not in the man pages or the how-to's this is the place!

Notices


Reply
  Search this Thread
Old 01-12-2016, 04:09 PM   #1
NickMaggio
LQ Newbie
 
Registered: Jan 2015
Posts: 10

Rep: Reputation: Disabled
Error message with OpenVPN and with update/upgrade


Hi, I am getting an error message with OpenVPN and when I try to update/upgrade (both using sudo and as root). Here is the error message from installing OpenVPN:

gzip: stdout: No space left on device
E: mkinitramfs failure cpio 141 gzip 1
update-initramfs: failed for /boot/initrd.img-3.19.0-43-generic with 1.
run-parts: /etc/kernel/postinst.d/initramfs-tools exited with return code 1
dpkg: error processing package linux-image-extra-3.19.0-43-generic (--configure):
subprocess installed post-installation script returned error exit status 1
dpkg: dependency problems prevent configuration of linux-image-generic-lts-vivid:
linux-image-generic-lts-vivid depends on linux-image-extra-3.19.0-43-generic; however:
Package linux-image-extra-3.19.0-43-generic is not configured yet.

dpkg: error processing package linux-image-generic-lts-vivid (--configure):
dependency problems - leaving unconfigured
dpkg: dependency problems prevent configuration of linux-generic-lts-vivid:No apport report written because the error message indicates its a followup error from a previous failure.

linux-generic-lts-vivid depends on linux-image-generic-lts-vivid (= 3.19.0.43.28); however:
Package linux-image-generic-lts-vivid is not configured yet.

dpkg: error processing package linux-generic-lts-vivid (--configure):
dependency problems - leaving unconfigured
No apport report written because the error message indicates its a followup error from a previous failure.
E: Sub-process /usr/bin/dpkg returned an error code (1)


So there it is, I do have a cell phone charger hooked up to my computer, but I chose "charge only" not storage on the phone when hooking up. I will also post what I get when I update/upgrade (I have always had to do that as root due to a lock on /usr/bin/ I believe (I think that is where the lock is). I will try update && upgrade and post that message as well and have disconnected the charger although I think it has nothing to do with it.
 
Old 01-12-2016, 04:17 PM   #2
NickMaggio
LQ Newbie
 
Registered: Jan 2015
Posts: 10

Original Poster
Rep: Reputation: Disabled
Ok, here is trying to apt-get update && apt-get upgrade as root:

update-initramfs: Generating /boot/initrd.img-3.19.0-43-generic

gzip: stdout: No space left on device
E: mkinitramfs failure cpio 141 gzip 1
update-initramfs: failed for /boot/initrd.img-3.19.0-43-generic with 1.
run-parts: /etc/kernel/postinst.d/initramfs-tools exited with return code 1
dpkg: error processing package linux-image-extra-3.19.0-43-generic (--configure):
subprocess installed post-installation script returned error exit status 1
dpkg: dependency problems prevent configuration of linux-image-generic-lts-vivid:
linux-image-generic-lts-vivid depends on linux-image-extra-3.19.0-43-generic; however:
Package linux-image-extra-3.19.0-43-generic is not configured yet.

dpkg: error processing package linux-image-generic-lts-vivid (--configure):
dependency problems - leaving unconfigured
dpkg: dependency problems prevent configuration of linux-generic-lts-vivid:
linux-generic-lts-vivid depends on linux-image-generic-lts-vivid (= 3.19.0.43.28); however:
Package linux-image-generic-lts-vivid is not configured yet.

dpkg: error processing package linux-generic-lts-vivid (--configure):
dependency problems - leaving unconfigured
Setting up libgcc1:i386 (1:4.9.3-0ubuntu4) ...
No apport report written because the error message indicates its a followup error from a previous failure.
No apport report written because the error message indicates its a followup error from a previous failure.
Setting up libgcc1:amd64 (1:4.9.3-0ubuntu4) ...
Processing triggers for libc-bin (2.19-0ubuntu6.6) ...
E: Sub-process /usr/bin/dpkg returned an error code (1)


If anyone can help me figure this out it would be greatly appreciated. Also everything except my mouse was disconnected on that last one.

Thank you in advance for your time,
Nick Maggio
 
Old 01-12-2016, 04:18 PM   #3
NickMaggio
LQ Newbie
 
Registered: Jan 2015
Posts: 10

Original Poster
Rep: Reputation: Disabled
Or should this be in a different forum? I am pretty new to *nix and figured it may be an easy fix but maybe it should be elsewhere?
 
Old 01-12-2016, 04:23 PM   #4
NickMaggio
LQ Newbie
 
Registered: Jan 2015
Posts: 10

Original Poster
Rep: Reputation: Disabled
Also, I'm using Xubuntu if I didn't state that. Sorry

I can get the lock to appear from the VPN but it still lists my IP when I go to sites like "whatismyip.com" etc.

Last edited by NickMaggio; 01-12-2016 at 04:24 PM.
 
Old 01-12-2016, 05:11 PM   #5
NickMaggio
LQ Newbie
 
Registered: Jan 2015
Posts: 10

Original Poster
Rep: Reputation: Disabled
Ok, so I've asked this on a few forums. I got that I don't have enough space in boot. I checked using dpkg -l linux-* here is the output:

Desired=Unknown/Install/Remove/Purge/Hold
| Status=Not/Inst/Conf-files/Unpacked/halF-conf/Half-inst/trig-aWait/Trig-pend
|/ Err?=(none)/Reinst-required (Status,Err: uppercase=bad)
||/ Name Version Architecture Description
+++-==============-============-============-=================================
ii linux-firmware 1.127.19 all Firmware for Linux kernel drivers
iU linux-generic- 3.19.0.43.28 amd64 Complete Generic Linux kernel and
un linux-headers <none> <none> (no description available)
un linux-headers- <none> <none> (no description available)
un linux-headers- <none> <none> (no description available)
ii linux-headers- 3.19.0-31.36 all Header files related to Linux ker *
ii linux-headers- 3.19.0-31.36 amd64 Linux kernel headers for version *
ii linux-headers- 3.19.0-33.38 all Header files related to Linux ker *
ii linux-headers- 3.19.0-33.38 amd64 Linux kernel headers for version *
ii linux-headers- 3.19.0-39.44 all Header files related to Linux ker *
ii linux-headers- 3.19.0-39.44 amd64 Linux kernel headers for version *
ii linux-headers- 3.19.0-42.48 all Header files related to Linux ker *
ii linux-headers- 3.19.0-42.48 amd64 Linux kernel headers for version *
ii linux-headers- 3.19.0-43.49 all Header files related to Linux ker
ii linux-headers- 3.19.0-43.49 amd64 Linux kernel headers for version
ii linux-headers- 3.19.0.43.28 amd64 Generic Linux kernel headers
un linux-image <none> <none> (no description available)
un linux-image-3. <none> <none> (no description available)
rc linux-image-3. 3.19.0-25.26 amd64 Linux kernel image for version 3. *
ii linux-image-3. 3.19.0-31.36 amd64 Linux kernel image for version 3. *
ii linux-image-3. 3.19.0-33.38 amd64 Linux kernel image for version 3. *
ii linux-image-3. 3.19.0-39.44 amd64 Linux kernel image for version 3. *
ii linux-image-3. 3.19.0-42.48 amd64 Linux kernel image for version 3. *
ii linux-image-3. 3.19.0-43.49 amd64 Linux kernel image for version 3.
rc linux-image-ex 3.19.0-25.26 amd64 Linux kernel extra modules for ve *
ii linux-image-ex 3.19.0-31.36 amd64 Linux kernel extra modules for ve *
ii linux-image-ex 3.19.0-33.38 amd64 Linux kernel extra modules for ve *
ii linux-image-ex 3.19.0-39.44 amd64 Linux kernel extra modules for ve *
ii linux-image-ex 3.19.0-42.48 amd64 Linux kernel extra modules for ve *
iF linux-image-ex 3.19.0-43.49 amd64 Linux kernel extra modules for ve
iU linux-image-ge 3.19.0.43.28 amd64 Generic Linux kernel image
un linux-initramf <none> <none> (no description available)
un linux-initramf <none> <none> (no description available)
un linux-kernel-h <none> <none> (no description available)
un linux-kernel-l <none> <none> (no description available)
ii linux-libc-dev 3.13.0-74.11 amd64 Linux Kernel Headers for developm
un linux-lts-vivi <none> <none> (no description available)
un linux-restrict <none> <none> (no description available)
ii linux-sound-ba 1.0.25+dfsg- all base package for ALSA and OSS sou

so then I used uname -r to see what I'm using:
3.19.0-43-generic

Does that mean I get rid of everything that is not 3.19.0-43? And how?

I'm going to star the things I think I can get rid of. Not sure about a few of the others but there might be a couple more?
 
Old 01-12-2016, 05:38 PM   #6
NickMaggio
LQ Newbie
 
Registered: Jan 2015
Posts: 10

Original Poster
Rep: Reputation: Disabled
Ok, so I cleaned up boot using a link found on another thread here >dpkg -l linux-* | awk '/^ii/{ print $2}' | grep -v -e `uname -r | cut -f1,2 -d"-"` | grep -e [0-9] | grep -E "(image|headers)" | xargs sudo apt-get -y purge

After making a list of what was being used and doing a dry run. OpenVPN now says it is installed with no dependencies and the only thing I get when I update/upgrade is that there is a duplicate of some chrome files.

VPN still give home location. Tried using Sudo OpenVPN --config config.ovpn and it says OpenVPN is not a command (the VPN people said to try the command as opposed to connecting through the openvpn connection I set up on my menu).

We'll see if I fixed boot right when I try to boot up again (going to make sure everything is backed up). Page used for help:

http://tuxtweaks.com/2010/10/remove-...h-one-command/
 
  


Reply


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off



Similar Threads
Thread Thread Starter Forum Replies Last Post
[SOLVED] Ubuntu update error message flupu20 Linux - Newbie 2 11-03-2012 04:43 PM
error message where i tried update a system debianlam Linux - Software 1 05-09-2008 07:45 AM
[SOLVED] Error Message When Doing Update in Mandriva rm_-rf_windows Mandriva 6 06-12-2007 03:53 AM
Update Notifier Error Message RAdams Ubuntu 4 08-28-2006 11:35 AM
Error message using yum update Seventh_Warrior Fedora 7 06-23-2004 12:47 PM


All times are GMT -5. The time now is 02:22 AM.

Main Menu
Advertisement
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration